## org.eclipse.datatools.sqltools.schemaobjecteditor.ui
Interface ISchemaObjectEditorInput

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorInput

All Known Implementing Classes:
  ProceduralObjectEditorInput, SchemaObjectEditorInput

    public interface ISchemaObjectEditorInput

extends org.eclipse.ui.IEditorInput

The editor input for scheme object eidtor.

Author:
  Idull

Method Summary
`org.eclipse.datatools.sqltools.core.DatabaseIdentifier` `getDatabaseIdentifier()` Returns the database identifier
`ISchemaObjectEditModel` `getEditModelObject()` Returns the model of the object which is been editing
`IEditorDescriptor` `getEditorDescriptor()` Returns the `IEditorDescriptor` instance which is used to describe some static information of the schema object editor

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getEditorDescriptor

    IEditorDescriptor getEditorDescriptor()

  Returns the `IEditorDescriptor` instance which is used to describe some static information of the schema object editor

  Returns:

### getEditModelObject

    ISchemaObjectEditModel getEditModelObject()

  Returns the model of the object which is been editing

  Returns:

### getDatabaseIdentifier

    org.eclipse.datatools.sqltools.core.DatabaseIdentifier getDatabaseIdentifier()

  Returns the database identifier

  Returns: